Subject: Re: get_cycles/get_tbl on 405

From: [email-masked]
Date: Sat, 25 Aug 2001 00:35:47 -0700

On Fri, Aug 24, 2001 at 10:35:10PM -0400, Dan Malek wrote:
> andrew may wrote:
> >
> > I wanted to do some quick time measurements of some things on a driver
> > running of the 405GP and I eneded up using get_tbl(). It seems like
> > get_cycles....
>
> Hmmm....these look like they should work exactly the same.....
> It would help me if you could disassemble a little code snippet
> around the place you use these so we could have a look.

They did. I just confused myself with too many kernel versions.
The 2.4.2 mvista kernel didn't have the same header file, but by
just sticking the newer header in there with the one other header
it pulls in along with it, it worked fine.

The __ftr_fixup doesn't seem to be used much in any of the other
arch's.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/